#-----------------------------------------------------------------------
#   application 설정 : batch -> api
#-----------------------------------------------------------------------
app:
  contract:
    # milisecond
    host: http://localhost:18090
    connection:
      timeout: 600000
      readTimeout: 600000
      thread:
        # 동시 실행 스레드 개수
        corePoolSize: 5
        # 스레드 풀에서 사용할 수 있는 최대 개수
        maxPoolSize: 10
    nice:
      # nice api CI 생성
      api:
        ci: /api/ens/nice/v1/requestNiceCi
      # vno api CI 생성
      dici:
        site-code: EQ00
        site-pwd: 76646885
    kakao:
      bulk-max-cnt: 100
      api:
        pay:
          bulksend: /api/ens/kakao/v1/documents/bulk
          bulkstatus: /api/ens/kakao/v1/documents/bulk/status
        talk:
          bulksend: /api/ens/kakao/v2/envelopes/bulk
          bulkstatus: /api/ens/kakao/v2/envelopes/bulk/status
    kt:
      bulk-max-cnt: 10
      bc:
        api:
          bulksend: /api/ens/kt/v1/mainSend
          bulkstatus: /api/ens/kt/v1/messageResult
      gibis:
        api:
          bulksend: /api/ens/ktgbs/v1/mainSend
          bulkstatus: /api/ens/ktgbs/v1/messageResult
          requestToken: /api/biz/ktgbs/v1/requestToken

  # 배치 설정
  batch:
    # 배치 실행 주기
    period:
      # 전송 주기 : day|hour
      send: day
